<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Project_Worker_Role_Request_CriteriaType StructType
 * Meta information extracted from the WSDL
 * - documentation: Element containing Project Worker Role request criteria
 * @subpackage Structs
 */
class Project_Worker_Role_Request_CriteriaType extends AbstractStructBase
{
    /**
     * The Inactive
     * Meta information extracted from the WSDL
     * - documentation: Project Worker Role Request Criteria
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $Inactive;
    /**
     * Constructor method for Project_Worker_Role_Request_CriteriaType
     * @uses Project_Worker_Role_Request_CriteriaType::setInactive()
     * @param bool $inactive
     */
    public function __construct($inactive = null)
    {
        $this
            ->setInactive($inactive);
    }
    /**
     * Get Inactive value
     * @return bool|null
     */
    public function getInactive()
    {
        return $this->Inactive;
    }
    /**
     * Set Inactive value
     * @param bool $inactive
     * @return \StructType\Project_Worker_Role_Request_CriteriaType
     */
    public function setInactive($inactive = null)
    {
        // validation for constraint: boolean
        if (!is_null($inactive) && !is_bool($inactive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($inactive, true), gettype($inactive)), __LINE__);
        }
        $this->Inactive = $inactive;
        return $this;
    }
}
